Subject: Re: [Bitcoin-development] Stealth Addresses

From: Drak <[email-masked]>
Date: Fri, 10 Jan 2014 11:28:33 +0000

On 10 January 2014 10:20, Peter Todd <[email-masked]> wrote:

> Oh, sorry, I forgot to mention it in my first write-up but you can
> easily make stealth addresses include a second pubkey for the purpose of
> the communication that either isn't used in the scriptPubKey at all, or
> is part of a n-of-m multisig. (n>=2) Interestingly that also means you
> can give a third-party that key and out-source the effort of scanning
> the blockchain for you.

That seems pretty exciting to me. What is the chance of this becoming a BIP?

Drak